Skip to main content
GET
/
polymarket
/
trader
/
pnl
/
{address}
/
candles
Get trader PnL candles
curl --request GET \
  --url https://api.struct.to/v1/polymarket/trader/pnl/{address}/candles
[
  {
    "t": 1,
    "ob": 123,
    "cb": 123,
    "ub": 123,
    "pb": 123,
    "nop": 123,
    "l": 123,
    "h": 123,
    "o": 123,
    "c": 123,
    "rl": 123,
    "rh": 123,
    "ro": 123,
    "rc": 123,
    "ul": 123,
    "uh": 123,
    "uo": 123,
    "uc": 123,
    "pl": 123,
    "ph": 123,
    "po": 123,
    "pc": 123
  }
]

Path Parameters

address
string
required

Trader wallet address

Query Parameters

resolution
enum<string>

Candle bucket size. auto automatically decides resolution to try fit all candles within max count_back (2500) and overrides any caller-supplied count_back. Default: 1m for 1d, 1d otherwise.

Available options:
1m,
1h,
4h,
1d,
auto
timeframe
enum<string>

Default: lifetime

Available options:
1d,
7d,
30d,
lifetime
from
integer<int64>

Start unix seconds. Overrides the timeframe lower bound.

to
integer<int64>

End unix seconds

count_back
integer<int32>

Number of candle buckets to return. Default 500, max 2500. Ignored when resolution=auto (forced to 2500).

pagination_key
string

Cursor from a previous response

fill_gaps
boolean

Forward-fill missing buckets. Default: true.

Response

200 - application/json

Trader PnL candles

t
integer<int64>
required

Timestamp in epoch seconds at the start of the candle bucket.

Required range: x >= 0
ob
integer<int64>
required

Opening block for this candle.

cb
integer<int64>
required

Closing block for this candle.

ub
number<double>
required

Latest USDC balance at candle close.

pb
number<double>
required

Latest pUSD balance at candle close.

nop
integer<int32>
required

Latest open position count at candle close.

l
number<double> | null

Total PnL low value for the candle (= realized + unrealized).

h
number<double> | null

High price.

o
number<double> | null

Open price.

c
number<double> | null

Close price.

rl
number<double> | null

Realized PnL low.

rh
number<double> | null

Realized PnL high.

ro
number<double> | null

Realized PnL open.

rc
number<double> | null

Realized PnL close.

ul
number<double> | null

Unrealized PnL low.

uh
number<double> | null

Unrealized PnL high.

uo
number<double> | null

Unrealized PnL open.

uc
number<double> | null

Unrealized PnL close.

pl
number<double> | null

Portfolio value low.

ph
number<double> | null

Portfolio value high.

po
number<double> | null

Portfolio value open.

pc
number<double> | null

Portfolio value close.

Last modified on June 17, 2026